<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <link href="../style/steps.css" rel="stylesheet">
    <link href='https://fonts.googleapis.com/css?family=Roboto' rel='stylesheet'>
    <title>Implementacja testów</title>
</head>
<body>
<div class="rule-container">
    <div class="row">
        <div class="rule-number">5</div>
        <div class="rule-header">Implementacja testów</div>
    </div>
    <div class="rule-text-animation-container">
        <div class="rule-text"><p>Podczas implementacji testów tworzone i/lub dokańczane są testalia niezbędne do
            wykonania
            testów, w tym szeregowanie przypadków testowych w ramach procedur testowych. W związku z tym, o ile
            projektowanie testów odpowiada na pytanie: „jak testować?”, o tyle implementacja testów odpowiada na
            pytanie: „czy mamy wszystko, co jest potrzebne do uruchomienia testów?”.</p>
            <p>Główne czynności wykonywane w ramach implementacji testów to:</p>
            <ul>
                <li>opracowanie procedur testowych i określenie ich priorytetów oraz, potencjalnie, utworzenie
                    skryptów
                    testów automatycznych;
                </li>
                <li>utworzenie zestawów testowych (na podstawie procedur testowych) oraz skryptów testów
                    automatycznych
                    (jeśli istnieją testy automatyczne);
                </li>
                <li>uporządkowanie zestawów testowych w harmonogram wykonywania testów w sposób zapewniający
                    efektywny
                    przebieg całego procesu;
                </li>
                <li>zbudowanie środowiska testowego (włączając w to - jeśli to konieczne - jarzma testowe,
                    wirtualizację
                    usług, symulatory i inne elementy infrastrukturalne) oraz sprawdzenie, czy zostało ono poprawnie
                    skonfigurowane;
                </li>
                <li>przygotowanie danych testowych i sprawdzenie, czy zostały poprawnie załadowane do środowiska
                    testowego;
                </li>
                zweryfikowanie i zaktualizowanie możliwości dwukierunkowego śledzenia powiązań między podstawą
                testów,
                warunkami testowymi, przypadkami testowymi, procedurami testowymi i zestawami testowymi.
            </ul>
        </div>
    </div>
</div>
</body>
</html>
